BeagleWksParser Class Referencefinal

the main class to read a BeagleWorks file More...

`#include <BeagleWksParser.hxx>`

Inheritance diagram for BeagleWksParser:

## Public Member Functions

| BeagleWksParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor
| ~BeagleWksParser () final
| destructor
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGTextInterface *documentInterface) final
| virtual function used to parse the input
Public Member Functions inherited from MWAWTextParser
| ~MWAWTextParser () override
| destructor
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions

void | init ()
| inits all internal variables
void | createDocument (librevenge::RVNGTextInterface *documentInterface)
| creates the listener which will be associated to the document
MWAWVec2f | getPageLeftTop () const
| returns the page left top point ( in inches)
void | newPage (int number)
| adds a new page
bool | sendFrame (int pId)
| try to insert the pId picture (as char)
bool | createZones ()
| finds the different objects zones
bool | readRSRCZones ()
| read the resource fork zone
bool | sendPageFrames ()
| try to send the page graphic
bool | sendFrame (BeagleWksStructManager::Frame const &frame)
| try to send a frame
bool | sendPicture (int pId, MWAWPosition const &pos, MWAWGraphicStyle const &style=MWAWGraphicStyle::emptyStyle())
| try to send a picture
bool | readPrintInfo ()
| read the print info zone
bool | readLastZone ()
| read the last zone
MWAWInputStreamPtr | rsrcInput ()
| return the input input
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc
Protected Member Functions inherited from MWAWTextParser
| MWAWTextParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWTextParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes

std::shared_ptr< BeagleWksParserInternal::State > | m_state
| the state
std::shared_ptr< BeagleWksStructManager > | m_structureManager
| the structure manager
std::shared_ptr< BeagleWksText > | m_textParser
| the text parser

## Friends

class | BeagleWksText

## Detailed Description

the main class to read a BeagleWorks file

## Constructor & Destructor Documentation

## BeagleWksParser()

BeagleWksParser::BeagleWksParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

constructor

## ~BeagleWksParser()

BeagleWksParser::~BeagleWksParser | ( |  | ) |

final

destructor

## Member Function Documentation

## checkHeader()

bool BeagleWksParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = false )

final virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by BeagleWksText, and parse().

## createDocument()

void BeagleWksParser::createDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |

protected

creates the listener which will be associated to the document

Referenced by BeagleWksText, and parse().

## createZones()

bool BeagleWksParser::createZones | ( |  | ) |

protected

finds the different objects zones

Referenced by BeagleWksText, and parse().

## getPageLeftTop()

MWAWVec2f BeagleWksParser::getPageLeftTop | ( |  | ) | const

protected

returns the page left top point ( in inches)

Referenced by BeagleWksText.

## init()

void BeagleWksParser::init | ( |  | ) |

protected

inits all internal variables

Referenced by BeagleWksParser(), and BeagleWksText.

## newPage()

void BeagleWksParser::newPage | ( | int | number | ) |

protected

adds a new page

Referenced by BeagleWksText.

## parse()

void BeagleWksParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |

final virtual

virtual function used to parse the input

Implements MWAWTextParser.

Referenced by BeagleWksText.

## readLastZone()

bool BeagleWksParser::readLastZone | ( |  | ) |

protected

read the last zone

Referenced by BeagleWksText, and createZones().

## readPrintInfo()

bool BeagleWksParser::readPrintInfo | ( |  | ) |

protected

read the print info zone

Referenced by BeagleWksText, checkHeader(), and createZones().

## readRSRCZones()

bool BeagleWksParser::readRSRCZones | ( |  | ) |

protected

read the resource fork zone

Referenced by BeagleWksText, and createZones().

## rsrcAscii()

libmwaw::DebugFile & BeagleWksParser::rsrcAscii | ( |  | ) |

protected

a DebugFile used to write what we recognize when we parse the document in rsrc

Referenced by BeagleWksText.

## rsrcInput()

MWAWInputStreamPtr BeagleWksParser::rsrcInput | ( |  | ) |

protected

return the input input

Referenced by BeagleWksText.

## sendFrame() [1/2]

bool BeagleWksParser::sendFrame | ( | BeagleWksStructManager::Frame const & | frame | ) |

protected

try to send a frame

## sendFrame() [2/2]

bool BeagleWksParser::sendFrame | ( | int | pId | ) |

protected

try to insert the pId picture (as char)

Referenced by BeagleWksText, sendFrame(), and sendPageFrames().

## sendPageFrames()

bool BeagleWksParser::sendPageFrames | ( |  | ) |

protected

try to send the page graphic

Referenced by BeagleWksText, and parse().

## sendPicture()

bool BeagleWksParser::sendPicture | ( | int | pId,
|  | MWAWPosition const & | pos,
|  | MWAWGraphicStyle const & | style = MWAWGraphicStyle::emptyStyle() )

protected

try to send a picture

Referenced by BeagleWksText, and sendFrame().

## Friends And Related Symbol Documentation

## BeagleWksText

friend class BeagleWksText

friend

Referenced by BeagleWksText, and init().

## Member Data Documentation

## m_state

std::shared_ptr<BeagleWksParserInternal::State> BeagleWksParser::m_state

protected

the state

Referenced by BeagleWksParser(), checkHeader(), createDocument(), createZones(), getPageLeftTop(), init(), and newPage().

## m_structureManager

std::shared_ptr<BeagleWksStructManager> BeagleWksParser::m_structureManager

protected

the structure manager

Referenced by BeagleWksParser(), createZones(), init(), readRSRCZones(), sendFrame(), sendPageFrames(), and sendPicture().

## m_textParser

std::shared_ptr<BeagleWksText> BeagleWksParser::m_textParser

protected

the text parser

Referenced by BeagleWksParser(), createDocument(), createZones(), init(), and parse().

The documentation for this class was generated from the following files:

- BeagleWksParser.hxx
- BeagleWksParser.cxx